org.jbpm.casemgmt.impl

## Class AdvanceCaseRuntimeDataServiceImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.AbstractAdvanceRuntimeDataServiceImpl
  - - org.jbpm.casemgmt.impl.AdvanceCaseRuntimeDataServiceImpl

- All Implemented Interfaces:
    AdvanceCaseRuntimeDataService

      public class AdvanceCaseRuntimeDataServiceImpl
      extends AbstractAdvanceRuntimeDataServiceImpl
      implements AdvanceCaseRuntimeDataService

- - ### Field Summary

    - ### Fields inherited from interface org.jbpm.casemgmt.api.AdvanceCaseRuntimeDataService

      `CASE_ATTR_CORRELATION_KEY, CASE_ATTR_DEFINITION_ID, CASE_ATTR_DEPLOYMENT_ID, CASE_ATTR_INSTANCE_ID, CASE_COLLECTION_VARIABLES, TASK_ATTR_NAME, TASK_ATTR_OWNER, TASK_ATTR_STATUS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdvanceCaseRuntimeDataServiceImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ProcessInstanceWithVarsDesc>` | `queryCaseByVariables(List<QueryParam> attributes, List<QueryParam> caseVariables, org.kie.api.runtime.query.QueryContext queryContext)`
    `List<ProcessInstanceWithVarsDesc>` | `queryCaseByVariablesAndTask(List<QueryParam> attributes, List<QueryParam> taskVariables, List<QueryParam> caseVariables, List<String> owners, org.kie.api.runtime.query.QueryContext queryContext)`
    `List<ProcessInstanceWithVarsDesc>` | `queryCaseByVariablesAndTask(List<QueryParam> attributes, List<QueryParam> taskVariables, List<QueryParam> caseVariables, QueryParam owners, org.kie.api.runtime.query.QueryContext queryContext)`
    `List<UserTaskInstanceWithPotOwnerDesc>` | `queryUserTasksByVariables(List<QueryParam> attributes, List<QueryParam> taskVariables, List<QueryParam> caseVariables, List<String> owners, org.kie.api.runtime.query.QueryContext queryContext)`
    `List<UserTaskInstanceWithPotOwnerDesc>` | `queryUserTasksByVariables(List<QueryParam> attributes, List<QueryParam> taskVariables, List<QueryParam> caseVariables, QueryParam owners, org.kie.api.runtime.query.QueryContext queryContext)`

    - ### Methods inherited from class org.jbpm.kie.services.impl.AbstractAdvanceRuntimeDataServiceImpl

      `queryProcessByVariables, queryProcessByVariablesAndTask, queryProcessByVariablesAndTask, queryProcessUserTasksByVariables, queryUserTasksByVariables, queryUserTasksByVariables, setCommandService, setEmf, translate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdvanceCaseRuntimeDataServiceImpl

          public AdvanceCaseRuntimeDataServiceImpl()

  - ### Method Detail

    - #### queryCaseByVariables

          public List<ProcessInstanceWithVarsDesc> queryCaseByVariables(List<QueryParam> attributes,
                                                                        List<QueryParam> caseVariables,
                                                                        org.kie.api.runtime.query.QueryContext queryContext)

      Specified by:
        `queryCaseByVariables` in interface `AdvanceCaseRuntimeDataService`

    - #### queryCaseByVariablesAndTask

          public List<ProcessInstanceWithVarsDesc> queryCaseByVariablesAndTask(List<QueryParam> attributes,
                                                                               List<QueryParam> taskVariables,
                                                                               List<QueryParam> caseVariables,
                                                                               List<String> owners,
                                                                               org.kie.api.runtime.query.QueryContext queryContext)

      Specified by:
        `queryCaseByVariablesAndTask` in interface `AdvanceCaseRuntimeDataService`

    - #### queryCaseByVariablesAndTask

          public List<ProcessInstanceWithVarsDesc> queryCaseByVariablesAndTask(List<QueryParam> attributes,
                                                                               List<QueryParam> taskVariables,
                                                                               List<QueryParam> caseVariables,
                                                                               QueryParam owners,
                                                                               org.kie.api.runtime.query.QueryContext queryContext)

      Specified by:
        `queryCaseByVariablesAndTask` in interface `AdvanceCaseRuntimeDataService`

    - #### queryUserTasksByVariables

          public List<UserTaskInstanceWithPotOwnerDesc> queryUserTasksByVariables(List<QueryParam> attributes,
                                                                                  List<QueryParam> taskVariables,
                                                                                  List<QueryParam> caseVariables,
                                                                                  List<String> owners,
                                                                                  org.kie.api.runtime.query.QueryContext queryContext)

      Specified by:
        `queryUserTasksByVariables` in interface `AdvanceCaseRuntimeDataService`

    - #### queryUserTasksByVariables

          public List<UserTaskInstanceWithPotOwnerDesc> queryUserTasksByVariables(List<QueryParam> attributes,
                                                                                  List<QueryParam> taskVariables,
                                                                                  List<QueryParam> caseVariables,
                                                                                  QueryParam owners,
                                                                                  org.kie.api.runtime.query.QueryContext queryContext)

      Specified by:
        `queryUserTasksByVariables` in interface `AdvanceCaseRuntimeDataService`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.